/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package psqluuidtest;

import java.util.UUID;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 *
 * @author Miro
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        UUID uuid = UUID.randomUUID();
        TestTable1 testTable = new TestTable1(uuid);
        persist(uuid);
    }

    public static void persist(Object object) {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("PsqlUuidTestPU");
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        try {
            em.persist(object);
            em.getTransaction().commit();
        } catch (Exception e) {
            e.printStackTrace();
            em.getTransaction().rollback();
        } finally {
            em.close();
        }
    }

}
