/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package psqluuidtest;

import java.io.Serializable;
import java.util.UUID;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author Miro
 */
@Entity
@Table(name = "test_table_1", catalog = "test_db", schema = "public")
@NamedQueries({@NamedQuery(name = "TestTable1.findAll", query = "SELECT t FROM TestTable1 t")})
public class TestTable1 implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @Basic(optional = false)
    //@Lob
    @Column(name = "my_id", nullable = false)
    private UUID myId;
    //private String myId;

    @Column(name = "description", length = 128)
    private String description;

    public TestTable1() {
    }

    public TestTable1(UUID myId) {
    //public TestTable1(String myId) {
        this.myId = myId;
    }

    public UUID getMyId() {
    //public String getMyId() {
        return myId;
    }

    public void setMyId(UUID myId) {
    //public void setMyId(String myId) {
        this.myId = myId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (myId != null ? myId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TestTable1)) {
            return false;
        }
        TestTable1 other = (TestTable1) object;
        if ((this.myId == null && other.myId != null) || (this.myId != null && !this.myId.equals(other.myId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "psqluuidtest.TestTable1[myId=" + myId + "]";
    }

}
